
QGIS Application - Bug report #2812

Missing labels with the new labeling system

2010-06-15 01:27 PM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12872

Description

Hi,

The new labeling system doesn't display all the labels of a layer, see the joined file for an example using an integer field for labels. The

parameters used are free placement and no obstacles, activating colliding and candidate labels modify nothing.

The old labeling system displays them all, I can reproduce this problem with other layers.

History

#1 - 2010-09-20 01:27 PM - Jean-Roc Morreale

The bug is due to topological errors in the polygons, the labels appears when it is corrected (not self-intersection). This behavior is making the use of the

new label engine harder on gps data collected with centimetric gps, if the surveyor makes a small wrong move then the data has to be manually corrected

to be labeled (automatic cleaning does not give good result).

The old labelling engine works on both uncorrected an corrected data.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-01-20 01:25 AM - michele zanolli

- Crashes QGIS or corrupts data set to No

- File labels_test.zip added

- Affected QGIS version set to master

Maybe this problem is related to the following:

I am having problems with curved labeling with my layer of lines (see attached shapefile).

Enable the advanced option "Show all labels (i.e. including colliding labels")

Try to display labels with "parallel" placement option --> ok, all labels are displayed.

Try to display labels with "curved" placement option --> I can see only 1 or 2 labels.

#4 - 2012-01-20 03:24 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No
michele zanolli wrote:

Maybe this problem is related to the following:

I am having problems with curved labeling with my layer of lines (see attached shapefile).

Enable the advanced option "Show all labels (i.e. including colliding labels")

Try to display labels with "parallel" placement option --> ok, all labels are displayed.

Try to display labels with "curved" placement option --> I can see only 1 or 2 labels.

Hi Michele, this missing curved labels should be another issue, please file a separate ticket.

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-02-27 11:25 PM - Martin Dobias

- Assignee deleted (Martin Dobias)

#8 - 2014-06-02 04:46 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Open to Closed

These are all implemented in 2.0 >

Files

missing_labels.tar.lzma 6.87 KB 2010-06-15 Jean-Roc Morreale

labels_test.zip 3.61 KB 2012-01-20 michele zanolli
